{
   "format_version":"1.13.0",
   "minecraft:feature_rules":{
      "description":{
         "identifier":"minecraft:campsite_gray_feature_rule",
         "places_feature":"minecraft:campsite_gray_feature_mcstructure"
      },
      "conditions":{
         "placement_pass":"surface_pass",
         "minecraft:biome_filter":[
            {
               "any_of":[
                  {
                     "test":"has_biome_tag",
                     "operator":"==",
                     "value":"forest"
                  },
                  {
                     "test":"has_biome_tag",
                     "operator":"==",
                     "value":"jungle"
                  },
                  {
                     "test":"has_biome_tag",
                     "operator":"==",
                     "value":"swamp"
                  }
               ]
            }
         ]
      },
      "distribution":{
         "iterations":1,
         "scatter_chance":0.75,
         "x":{
            "distribution":"uniform",
            "extent":[
               0,
               16
            ]
         },
         "y":"query.heightmap(variable.worldx, variable.worldz) + -0",
         "z":{
            "distribution":"uniform",
            "extent":[
               0,
               16
            ]
         }
      }
   }
}